%define name abcde
%define version 2.3.99.6
%define release %mkrel 1

Summary:	Command-line utility to rip and encode audio cds
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.hispalinux.es/~data/files/
Group:		Sound
Source0:	http://ftp.de.debian.org/debian/pool/main/a/abcde/%{name}_%{version}.orig.tar.gz
Source1:	%{URL}/cd-discid/cd-discid_0.9.orig.tar.bz2
Patch1:		abcde-2.3.99.6-install.patch
Patch2:		cd-discid-0.9-install.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	cdparanoia wget vorbis-tools

%description
abcde is a frontend command-line utility (actually, a shell script) that
grabs tracks off a CD, encodes them to Ogg/Vorbis, MP3, FLAC, Ogg/Speex and/or
MPP/MP+(Musepack) format, and tags them, all in one go.


%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -b0
%setup -q -b1
%patch1 -p0
cd ../cd-discid-0.9
%patch2 -p0

%build
cd ../cd-discid-0.9
%make

%install
%makeinstall_std

cd ../cd-discid-0.9
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr (-,root,root)
%doc changelog README COPYING  TODO FAQ  examples/abcded examples/abcde.init examples/autorip.sh
%{_bindir}/*
%{_mandir}/man1/abcde.*
%{_mandir}/man1/cd-discid.*
%{_mandir}/man1/cddb-tool.*
%config(noreplace) %{_sysconfdir}/%{name}.conf



%changelog
* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 2.3.99.6-1mdv2008.1
+ Revision: 135813
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Oct 04 2007 Funda Wang <fundawang@mandriva.org> 2.3.99.6-1mdv2008.0
+ Revision: 95298
- Use new version from debian

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages


* Mon Jun 26 2006 Lenny Cartier <lenny@mandriva.com> 2.3.3-2mdv2007.0
- rebuild

* Fri Sep 02 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.3-1mdk
- 2.3.3 from PierreLag <pierre.lag at gmail dot com>

* Tue Aug 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.2-2mdk
- Fix rpmlint

* Mon Aug 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.3.2-1mdk
- Rpm provided by PierreLag <pierre.lag at gmail dot .com>
		  -new version
		  -add autorip.sh in doc

* Fri Jul 22 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.6-1mdk
- Rpm provided by PierreLag <pierre.lag at gmail dot com> 
                  -new version
                  -improve spec
                  -add abcded and abcde.init in doc
                  -cd-discid 0.9-1

* Thu Jul 14 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2.2.0-1mdk
- Re enter into mandriva with a work done by
	PierreLag <pierre.lag@gmail.com> 
		- new version

